: Class IPTextField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class IPTextField

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.w3c.tools.widgets.IPTextField

public class IPTextField
extends java.awt.Panel
implements TextEditable

IPTextField :

See Also:
  Serialized Form

Field Summary
`protected java.awt.TextField[]` | `fields`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`IPTextField()`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener al)` Adds the specified action listener to recieve action events from this IPTextField.
`protected void` | `fireActionEvent()` fire a new ActionEvent and process it, if some listeners are listening
`java.awt.Dimension` | `getMinimumSize()`
`java.awt.Dimension` | `getPreferredSize()`
`java.lang.String` | `getText()` Gets the text that is presented by this IPTextField.
`void` | `removeActionListener(java.awt.event.ActionListener al)` Removes the specified action listener so that it no longer receives action events from IPTextField.
`void` | `setDefault()` Sets the text at its default value
`void` | `setText(java.lang.String IPT)` Sets the text that is presented by this IPTextField to be the specified text.
`boolean` | `updated()` Check if the current text value and the default value are different.

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fields

    protected java.awt.TextField[] fields

Constructor Detail

### IPTextField

    public IPTextField()

Method Detail

### addActionListener

    public void addActionListener(java.awt.event.ActionListener al)

  Adds the specified action listener to recieve action events from this IPTextField.
  Specified by:
    addActionListener in interface TextEditable
  Parameters:
    `al` - - the action listener.

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener al)

  Removes the specified action listener so that it no longer receives action events from IPTextField.
  Specified by:
    removeActionListener in interface TextEditable
  Parameters:
    `al` - - the action listener.

### fireActionEvent

    protected void fireActionEvent()

  fire a new ActionEvent and process it, if some listeners are listening

### getText

    public java.lang.String getText()

  Gets the text that is presented by this IPTextField.
  Specified by:
    getText in interface TextEditable

### setText

    public void setText(java.lang.String IPT)

  Sets the text that is presented by this IPTextField to be the specified text.
  Specified by:
    setText in interface TextEditable
  Parameters:
    `text` - - the new text

### updated

    public boolean updated()

  Check if the current text value and the default value are different.
  Specified by:
    updated in interface TextEditable

### setDefault

    public void setDefault()

  Sets the text at its default value
  Specified by:
    setDefault in interface TextEditable

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Overrides:
    getMinimumSize in class java.awt.Container

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    getPreferredSize in class java.awt.Container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD